hal_bb_gpio(9)

NAME

hal_bb_gpio - Driver for beaglebone GPIO pins

SYNOPSIS

loadrt hal_bb_gpio user_leds=#,... input_pins=#,... output_pins=#,...

USER LEDS
The user_leds loadrt parameter controls which LEDs are available to HAL. Valid range: 0..3. These LEDs are next to the ethernet jack and the LinuxCNC numbers match the silkscreen on beaglbone black. Empirically, these seem to be OR'd with whatever function is assigned to the LED in Linux.

  PINS

bb_gpio.userledN bit in
bb_gpio.userledN-invert bit in
    The associated LED is lit if userledN xor userledN-invert is TRUE.

INPUT PINS
The input_pins loadrt parameter controls which physical I/O pins are available to HAL as input pins. The numbering is "800+N" for pin N on connector P8, and "900+N" for pin N on connector P9. For example, "803" means connector P8 pin 3, which is also described in BeagleBone documentation as "gpmc_ad6".

Specifying pins that are otherwise in use by the system may have undesirable side effects, such as crashing rtapi_app or the whole system.

  PINS

bb_gpio.pN.in-NN bit out
bb_gpio.pN.in-NN-invert bit in
    in-NN is a snapshot of the value of the corresponding physical pin XOR the value of the corresponding in-NN-invert pin.

OUTPUT PINS
The input_pins loadrt parameter controls which physical I/O pins are available to HAL as input pins. The numbering is "800+N" for pin N on connector P8, and "900+N" for pin N on connector P9.

Specifying pins that are otherwise in use by the system may have undesirable side effects, such as crashing rtapi_app or the whole system.

  PINS

bb_gpio.pN.out-NN bit out
bb_gpio.pN.out-NN-invert bit in
    The corresponding physical pin is driven with the result of in-NN xor in-NN-invert.

PARAMETERS
None

FUNCTIONS

bb_gpio.read
    Update HAL pins from physical pins.

bb_gpio.write
    Update physical pins from HAL pins.

LICENSE
GPL